<?
		session_start();
		//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
		include ("fphp.php");
		$enlace=cargar_conexion();
		$cedula=$_REQUEST["cedula"];
		$periodo=$_REQUEST["periodo"];
		$fdesde=$_REQUEST["fdesde"];

		$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$_POST['pie']=$row['pie'];
			$_POST['encabeza']=$row['encabeza'];
			$_POST['empresal']=$row['nombre'];
			$_POST['ciudad']=$row['ciudad'];
			$gerencia=$row['gerencia'];
			$sueldoMinimo=$row['sueldominimo'];

		}
		$_POST['usuario']=$_SESSION['nombre_validar'];

		//Consulta para calcular la edad
				$consultaEdad="Select fechan from personal where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' ";
				$consultaEdad = mysqli_query($enlace,$consultaEdad) or die ("no se pudo realizar la consulta...".$consultaEdad.'='.mysqli_error($enlace));	
				$rowEdad = mysqli_fetch_array($consultaEdad);
				$_POST['fechaNac']=$rowEdad['fechan'];
				$fechaNac=$_POST['fechaNac'];
				$_POST['fechaActual']= $fechaActual=date('Y-m-d');
				$fechaHoy=$_POST['fechaActual'];
				$edad=$fechaHoy-$fechaNac;
				$_POST['edad']=$edad;

		//====================== buscar registros
		
		$consulta="select vacacion.*,personal.empresa,  personal.nomina, personal.cargo, personal.gerencia,  personal.departamento, personal.smes, personal.bono1, personal.bono1, personal.fechai, personal.nombres, personal.nombres1, personal.apellidos, personal.apellidos1, personal.turno from vacacion,personal where personal.id='".$_SESSION['id_validar']."' and vacacion.cedula=personal.codigo and vacacion.cedula= '".$cedula."' and vacacion.periodo= '".$periodo."' and vacacion.fdesde= '".$fdesde."'";
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$row = mysqli_fetch_array($resultado);
		$_POST['subtitulo']='Período: '.$row['periodo'];
		$dvac=$row['dvac'];
		$valorDiasVac=$row['valor_dvac'];
		$smes_basico=$row['smes_basico'];
		$jornada = $row['ultima_jornada'];
		$dbon=$row['dbon'];
		$valorDiasBono=$row['valor_dbon'];
		$dvend=$row['dias_dinero'];
		$valorDiasDinero=$row['valor_dias_dinero'];
		$dias_ext=$row['dias_ext'];
		$valorDiasExt=$row['valor_dias_ext'];
		$tip=$row['tip'];
		$dias_sueldo=$row['dias_sueldo'];
		$Valor_dias_sueldo=$row['valor_dias_sueldo'];
		$otros=$row['otros'];
		$ValorOtrosDias=$row['valor_otros_dias'];
		$ddias=$row['ddias'];
		$TotalAsignac = $row['total_pago_vaca'];
		$sueldoBase=($row['bono1']+$row['bono2'])*30+$row['smes']+$row['gdr'];

		$desde=$row['fdesde'];
		$hasta=$row['fhasta'];
		$final=$row['reintegro'];
		
		$_POST['dgerencia']='';

		$_POST['dgerencia']='';
		
		///Busco los días de la jornada (turno)
		$consultaDias="select semana FROM turno where codigo='".$jornada."' AND id='".$_SESSION['id_validar']."' ";
		$resultadoDias = mysqli_query($enlace,$consultaDias) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$rowD = mysqli_fetch_array($enlace, $resultadoDias);
		$diasJornada=$rowD['semana'];0
		
		

		if ($_SESSION['modo_validar']>0) {
			$consultag="Select * from tablas where tabla=ucase('EMPRESA') and id='".$_SESSION['id_validar']."' and codigo='".trim($row['empresa'])."' order by codigo,detalle";
			$consultagg = mysqli_query($enlace,$consultag) or die ("no se pudo realizar la consulta...".$consultag.'='.mysqli_error($enlace));	
			$rowg = mysqli_fetch_array($consultagg);
			$_POST['dgerencia']=$rowg['detalle'];
		} else {
			if ($gerencia==1) {
				$consultag="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."' and codigo='".trim($rowemp['gerencia'])."' order by codigo,detalle";
				$consultag = mysqli_query($enlace,$consultag) or die ("no se pudo realizar la consulta...".$consultag.'='.mysqli_error($enlace));	
				$rowg = mysqli_fetch_array($consultag);
				$_POST['dgerencia']=$rowg['detalle'];
			}
		}

		if ($gerencia==1) {
			$consultag="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."' and codigo='".trim($row['gerencia'])."' order by codigo,detalle";
			$consultag = mysqli_query($enlace,$consultag) or die ("no se pudo realizar la consulta...".$consultag.'='.mysqli_error($enlace));	
			$rowg = mysqli_fetch_array($consultag);
			$_POST['dgerencia']=$rowg['detalle'];
		}

		require('fpdf.php');
		class PDF extends FPDF {
		function Header()
		{
			if ($_POST['dgerencia']=='') {
				$this->Image($_SESSION['logo_validar'],10,10,30,30);
				$this->SetFont('arial','B',10);
				$this->Ln(2);
				$this->Cell(0,5,$_SESSION['empresa_validar'],0,1,'R');
			} else {
				$this->SetFont('arial','B',16);
				$this->Cell(0,9,$_POST['dgerencia'],0,1,'C');
			}
			$this->SetFont('arial','',8);
			$this->Cell(0,5,$_POST['encabeza'],0,1,'R');
			$this->SetFont('arial','B',16);
			$this->Ln(10);
			$this->Cell(0,5,'LIQUIDACION DE VACACIONES',0,1,'C');
			//$this->Cell(0,5,$_POST['fechaNac'],0,1,'C');
			//$this->Cell(0,5,$_POST['fechaActual'],0,1,'C');
			//$this->Cell(0,5,$_POST['edad'],0,1,'C');
			$this->SetFont('arial','',8);
			$this->Cell(0,5,$_POST['subtitulo'],0,1,'C');
			$this->Ln(2);
		}
		function Footer()
			{
			$this->SetY(-20);
			$this->Cell(0,0,'',1,1,'C');
			$this->SetFont('Times','I',8);
			$this->ln(2);
			$this->Cell(0,0,$_POST['pie'],0,1,'C');
			}
		}
		$pdf=new PDF($orientacion='P',$unit='mm',$format='letter');
		$pdf->AddPage();
		$pdf->AliasNbPages();
		$pdf->SetFillColor(224,235,255);
		$pdf->SetTextColor(0);

		$fecha1 = mostrar_fecha($row['fdesde']);
		$fecha2 = mostrar_fecha($row['fhasta']);
		$reintegro = mostrar_fecha($row['reintegro']);
		$fechai = mostrar_fecha($row['fechai']);
		$fechapago =  substr($row['fdesde'],8,2).' de '.mes(substr($row['fdesde'],5,2)).' del '.substr($row['fdesde'],0,4);

		$pdf->SetFont('Arial','B',14);
		$pdf->cell(10,10,'Información del Empleado:',0,1,'',1);

		$pdf->SetFont('Arial','',10);
		$pdf->cell(10,5,'Cédula de Identidad: '.$row['cedula'],0,1,'',0);
		$pdf->cell(10,5,'Nombres y Apellidos: '.trim($row['nombres']).' '.$row['nombres1'].", ".trim($row['apellidos'])." ".$row['apellidos1'],0,1,'',0);
		$pdf->cell(10,5,'Nómina: '.($row['tip']==1?" DIARIA":" MENSUAL"),0,1,'',0);

		$pdf->cell(20,5,'',0,1,'');

		$pdf->SetFont('Arial','',9);
		$pdf->cell(30,5,'Fecha de Ingreso',1,0,'C',0);
		$pdf->cell(15,5,'Años',1,0,'C',0);
		//$pdf->cell(15,5,'Meses',1,0,'C',0);
		$pdf->cell(45,5,'Fecha Inicial de Vacaciones',1,0,'C',0);
		$pdf->cell(45,5,'Fecha Final de Vacaciones',1,0,'C',0);
		//$pdf->cell(25,5,'Salario Mensual',1,0,'C',0);
		$pdf->cell(50,5,'Salario Diario Para Vacaciones',1,1,'C',0);

		$pdf->cell(30,5,$fechai,1,0,'C',0);
		$pdf->cell(15,5,$row['antiguedad'],1,0,'C',0);
		//$pdf->cell(15,5,number_format($row['imes'],0),1,0,'C',0);
		$pdf->cell(45,5,$fecha1,1,0,'C',0);
		$pdf->cell(45,5,$fecha2,1,0,'C',0);
		//$pdf->cell(25,5,number_format($row['sueldo']*30,2),1,0,'C',0);
		$pdf->cell(50,5,number_format($row['sueldo'],2),1,1,'C',0);
		$pdf->ln(2);
		
		$pdf->cell(20,5,utf8_decode('Jornada'),1,0,'C',0);
		$pdf->cell(10,5,utf8_decode('Lun'),1,0,'',0);
		$pdf->cell(10,5,utf8_decode('Mar'),1,0,'',0);
		$pdf->cell(10,5,utf8_decode('Mie'),1,0,'',0);
		$pdf->cell(10,5,utf8_decode('Jue'),1,0,'',0);
		$pdf->cell(10,5,utf8_decode('Vie'),1,0,'',0);
		$pdf->cell(10,5,utf8_decode('Sab'),1,0,'',0);
		$pdf->cell(10,5,utf8_decode('Dom'),1,1,'',0);
		$pdf->cell(20,5,$jornada,1,0,'C',0);
		$pdf->cell(10,5,substr($diasJornada,0,1),1,0,'C',0);
		$pdf->cell(10,5,substr($diasJornada,1,1),1,0,'C',0);
		$pdf->cell(10,5,substr($diasJornada,2,1),1,0,'C',0);
		$pdf->cell(10,5,substr($diasJornada,3,1),1,0,'C',0);
		$pdf->cell(10,5,substr($diasJornada,4,1),1,0,'C',0);
		$pdf->cell(10,5,substr($diasJornada,5,1),1,0,'C',0);
		$pdf->cell(10,5,substr($diasJornada,6,1),1,1,'C',0);

		$pdf->SetFont('Arial','',8);
		$pdf->ln(5);
		$pdf->cell(0,5,'En cumplimiento del Artículo No. 190 de la LOTTT, la empresa:',0,1,'C',0);
		$pdf->SetFont('Arial','B',8);
		if ($_POST['dgerencia']=='')
			$pdf->cell(0,5,$_SESSION['empresa_validar'],0,1,'C',0);
			else $pdf->cell(0,5,$_POST['dgerencia'],0,1,'C',0);

		$pdf->SetFont('Arial','',8);;
		$pdf->cell(0,5,'ha ofrecido otorgarle sus vacaciones correspondiente al período '.$row['periodo'].', teniendo como base un sueldo diario ',0,1,'C',0);
		$pdf->cell(0,5,'para vacaciones de Bolivares: [ '.number_format($row['sueldo'],2).' Bs.] según el artículo No. 121 de la LOTTT para el disfrute de las mismas ',0,1,'C',0);
		$pdf->cell(0,5,'desde el  '.$fecha1.'  hasta el  '.$fecha2.'  , ambas fechas inclusive. Debiendose incorporar por lo tanto a sus',0,1,'C',0);
		$pdf->cell(0,5,'labores el día '.$reintegro.'.',0,1,'C',0);
		
		$pdf->SetFont('Arial','B',10);
		$pdf->ln(5);
		$pdf->cell(120,5,'Detalle de los Conceptos',1,0,'C',0);
		$pdf->cell(20,5,'Dias',1,0,'C',0);
		$pdf->cell(20,5,'Salario',1,0,'C',0);
		$pdf->cell(20,5,'Asignación',1,0,'C',0);
		$pdf->cell(20,5,'Deducción',1,1,'C',0);

		$sal=$row['sueldo'];
		$dia=$row['antiguedad'];
		//$ext2=($row['antiguedad']>=1?$row['antiguedad']:0);/// No aplican los días adicionales del Art 192 en Ford por Convenio colectivo (pagan siempre 65 días)
		
		$pdf->SetFont('Arial','',7);
		$pdf->cell(120,5,'Vacaciones Dias Habiles (Art. 190)',1,0,'',0);
		$pdf->cell(20,5,$dvac,1,0,'R',0);
		$pdf->cell(20,5,number_format($sal,2),1,0,'R',0);
		$pdf->cell(20,5,number_format($valorDiasVac,2),1,0,'R',0);
		$pdf->cell(20,5,'',1,1,'R',0);

		if ($dias_ext>0) {
			$pdf->cell(120,5,'Vacaciones: Dias Adicionales (Art. 190)',1,0,'',0);
			$pdf->cell(20,5,$dias_ext,1,0,'R',0);
			$pdf->cell(20,5,number_format($sal,2),1,0,'R',0);
			$pdf->cell(20,5,number_format($valorDiasExt,2),1,0,'R',0);
			$pdf->cell(20,5,'',1,1,'R',0);
		}
		if ($dbon>0) {
		$pdf->cell(120,5,'Bono Vacacional (Claús. 14)	',1,0,'',0);
		$pdf->cell(20,5,$dbon,1,0,'R',0);
		$pdf->cell(20,5,number_format($sal,2),1,0,'R',0);
		$pdf->cell(20,5,number_format($valorDiasBono,2),1,0,'R',0);
		$pdf->cell(20,5,'',1,1,'R',0);
		}

		if ($dvend>0) {
		$pdf->cell(120,5,'Dias Adicionales (Art. 190)',1,0,'',0);
		$pdf->cell(20,5,$dvend,1,0,'R',0);
		$pdf->cell(20,5,number_format($sal,2),1,0,'R',0);
		$pdf->cell(20,5,number_format($valorDiasDinero,2),1,0,'R',0);
		$pdf->cell(20,5,'',1,1,'R',0);
		}

		if ($dias_sueldo>0) {
		$pdf->cell(120,5,'Días Laborados en la Quincena	',1,0,'',0);
		$pdf->cell(20,5,$dias_sueldo,1,0,'R',0);
		$pdf->cell(20,5,number_format($smes_basico,2),1,0,'R',0);
		$pdf->cell(20,5,number_format($Valor_dias_sueldo,2),1,0,'R',0);
		$pdf->cell(20,5,'',1,1,'R',0);
		}
		/// No aplican los días adicionales del Art 192 en Ford por Convenio colectivo (pagan siempre 65 días)
		/*
		if ($ext2>0) {
			$pdf->cell(120,5,'Bono Vacacional: Dias Adicionales (Art. 192)',1,0,'',0);
			$pdf->cell(20,5,number_format($ext2,0),1,0,'R',0);
			$pdf->cell(20,5,number_format($sal,2),1,0,'R',0);
			$pdf->cell(20,5,number_format($ext2*$sal,2),1,0,'R',0);
			$pdf->cell(20,5,'',1,1,'R',0);
		}
		*/

		$pdf->cell(120,5,'Vacaciones Dias Adicionales (Descansos y Feriados)',1,0,'',0);
		$pdf->cell(20,5,number_format($otros,0),1,0,'R',0);
		$pdf->cell(20,5,number_format($sal,2),1,0,'R',0);
		$pdf->cell(20,5,number_format($ValorOtrosDias,2),1,0,'R',0);
		$pdf->cell(20,5,'',1,1,'R',0);

		if ($otros>0) {
			$pdf->SetFont('Arial','B',5);
			$pdf->cell(200,5,'Fechas: '.$ddias,1,1,'',0);
			$pdf->SetFont('Arial','',7);
		}

		if ($row['des1']==0) {
			$sso = $sal*7*0.04* $row['isso'];
			$rpe = $sal*7*0.005* $row['isso'];
		} else {
			$sso=0;$rpe=0;
		}

		if ($row['des2']==0) {
			if ($_SESSION['id_validar']==9) $rpvh=0;
			else $rpvh = $sal*($dvac+$ext+$otros)*0.01;
		} else $rpvh=0;

		$dias = $dvac+$dbon+$dias_ext+$otros;
		$topesso = $sueldoMinimo*5;
		$islr=0;
		$porcentaje=0;
		//calculando islr
		$sql="SELECT monto FROM constante_individual WHERE id='".$_SESSION['id_validar']."' and cedula='".$cedula."'
		and codigo IN ('2300','2301') ";
		$result = mysqli_query($enlace,$sql) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$datos = mysqli_fetch_array($result);
		$porcentaje=$datos['monto'];
       	$islr=	$dias*$sal*$porcentaje/100;

		//calculando Retenciones de Caja de Ahorros
		$sql2="SELECT SUM(monto) AS monto FROM constante_individual WHERE id='".$_SESSION['id_validar']."' and cedula='".$cedula."'
		and codigo IN ('2021','2023') ";
		$result2 = mysqli_query($enlace,$sql2) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$datos2 = mysqli_fetch_array($result2);
		$porcentajeCa=$datos2['monto'];
		
		//calculando Retención Seguro Colectivo
		///Se inactiva descuento del Seguro Colectivo hasta defini rnuevo valor despúes de la reconversión
		
		/*$sql3="SELECT SUM(monto) AS monto FROM constante_individual WHERE id='".$_SESSION['id_validar']."' and cedula='".$cedula."'
		and codigo='2030' ";
		$result3 = mysqli_query($enlace,$sql3) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$datos3 = mysqli_fetch_array($result3);
		$seguroColec=$datos3['monto'];
		*/
		
		//calculando Retención Aporte a Plan de Jubilación
		$sql4="SELECT SUM(monto) AS monto FROM constante_individual WHERE id='".$_SESSION['id_validar']."' and cedula='".$cedula."'
		and codigo IN ('2041','2042') ";
		$result4 = mysqli_query($enlace,$sql4) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$datos4 = mysqli_fetch_array($result4);
		$aporteJubil=$datos4['monto'];


		$sueldo=$row['sueldo'];

	/*
						$pdf->cell(120,5,'Tope SSO',1,0,'',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,number_format($topesso,2),1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,1,'R',0);

						$pdf->cell(120,5,'Sueldo mensual Trabajador',1,0,'',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,number_format($sueldo,2),1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,1,'R',0);
	*/

		///EJECUTAR RETENCIONES DE SEG SOC DEPENDIENDO EL TIPO DE NOMINA
		
		if($tip==2)//Para Nómina Quincenal
			{
			////Verifica el tope del SSO para aplicar si corresponde
			if ($sueldo < $topesso)
				{//Sueldo menor que el tope
				$sso = $sueldoBase/30*0.04*15;//descuento sso quincenal
				$rpe = $sueldoBase/30*0.005*15;//descuento rpe quincenal
				}
				else {//Sueldo mayor que el tope
						$sso = $topesso*12/52*0.04*$row['isso'];
						$rpe = $topesso*12/52*0.005*$row['isso'];
					}
				////////////////////
				
				
			}///Fin de tipo de Nómina Quincenal
			
			elseif($tip==1)//Para Nómina Semanal
				{
					////Verifica el tope del SSO para aplicar si corresponde
					if ($sueldo < $topesso)
						{
						//Sueldo menor que el tope
						$sso = $sueldoBase/30*0.04*7;//descuento sso semanal
						$rpe = $sueldoBase/30*0.005*7;//descuento rpe semanal
						}

						else
							{//Sueldo mayor que el tope
							$sso = $topesso/30*7*0.04*7;
							$rpe = $topesso/30*7*0.005*7;
							}
						////////////////////
				}
				
				////Fin de tipo de nómina semanal
				
				///////////////Calculo de reservas
				
				if($tip==2)//Para Nómina Quincenal
				{
				$ssoProv=$sso/15*($dvac+$dias_sueldo+$dias_ext+$otros);
				$rpeProv=$rpe/15*($dvac+$dias_sueldo+$dias_ext+$otros);
				$aporteJubProv=$aporteJubil/15*($dvac+$dias_sueldo+$dias_ext+$otros);
				}
				elseif($tip==1)
				{
				$ssoProv=$sso*$row['isso'];
				$rpeProv=$rpe*$row['isso'];
				$aporteJubProv=$aporteJubil/7*($dvac+$dias_sueldo+$dias_ext+$otros);

				}

				////Calcula la edad para saber si retiene o no RPVH
				if ($_POST['edad']<60)
					{///Menos de 60 años retiene
					//$rpvh = $sueldo*($dvac+$dias_sueldo+$dias_ext+$otros)*0.01;
					$rpvh = (($sal*$dias)+ $Valor_dias_sueldo)*0.01;
					}
					else $rpvh=0;////mas de 60 años no retiene
		
		if($tip==2){
		$ApoCajaAhorr= $porcentajeCa*$sueldoBase/2*$row['isso']/100;
		}
		elseif($tip==1)
		{
		$ApoCajaAhorr= $porcentajeCa*$sueldoBase/30*7*$row['isso']/100;
		}
		/*
		$pdf->cell(120,5,'S.S.O',1,0,'',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,number_format($ssoProv,2),1,1,'R',0);



		$pdf->cell(120,5,'R.P.E',1,0,'',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,number_format($rpeProv,2),1,1,'R',0);



		$pdf->cell(120,5,"I.S.L.R. ".($porcentaje!=0?"($porcentaje %)":"")."",1,0,'',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,number_format($islr,2),1,1,'R',0);



		$pdf->cell(120,5,'Aporte a Caja Ahorros',1,0,'',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,number_format($ApoCajaAhorr,2),1,1,'R',0);


		$pdf->cell(120,5,'Seguro Colectivo',1,0,'',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,number_format($seguroColec,2),1,1,'R',0);
		
		
		$pdf->cell(120,5,'Aporte al Plan de Jubilación',1,0,'',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,number_format($aporteJubProv,2),1,1,'R',0);
		*/
		
		$pdf->cell(120,5,'TOTAL RESERVA DCTOS VACACIONES',1,0,'',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,number_format($ssoProv+$rpeProv+$islr+$ApoCajaAhorr+$seguroColec+$aporteJubProv,2),1,1,'R',0);
		
		
		$pdf->cell(120,5,'R.P.V.H.',1,0,'',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,number_format($rpvh,2),1,1,'R',0);
		
		$ded = $ssoProv+$rpeProv+$islr+$ApoCajaAhorr+$seguroColec+$aporteJubProv+$rpvh;



		$netop=0;

		if ($row['icol']==1 && $row['imes']>0) {
			$netox = ( $sal*($dvac+$dbon) )/12;
			$netop = ( $netox ) * (12-$row['imes']);
			$pdf->cell(120,5,'MESES NO TRABAJADOS',1,0,'',0);
			$pdf->cell(20,5,number_format(12-$row['imes'],0),1,0,'R',0);
			$pdf->cell(20,5,number_format($netox,2),1,0,'R',0);
			$pdf->cell(20,5,'',1,0,'R',0);
			$pdf->cell(20,5,number_format($netop,2),1,1,'R',0);
		}

		//$neto = ($sal*$dias)-$ded-$netop;
		//La formula de abajo suma los Dias de Sueldo porque se calculan con otro salario (básico) y los otros días con Salario Promedio
		$TotalAsignac = ($sal*$dias)+ $Valor_dias_sueldo;
		$netoPagar = $TotalAsignac-$ded;
		
		$pdf->SetFont('Arial','B',8);
		$pdf->cell(120,5,'Sub-Totales ',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,'',1,0,'R',0);
		$pdf->cell(20,5,number_format($TotalAsignac,2),1,0,'R',0);
		$pdf->cell(20,5,number_format($ded,2),1,1,'R',0);
		$pdf->cell(180,5,'Total a Cobrar Bs: ',1,0,'R',0);
		$pdf->cell(20,5,number_format($netoPagar,2),1,1,'R',0);

		$pdf->ln(5);

		$pdf->SetFont('Arial','B',12);
		$pdf->cell(0,6,'Neto a Cobrar:',0,1,'C',0);
		//$pdf->ln(3);
		$pdf->SetFont('Arial','B',14);
		$pdf->cell(0,6,'Bs. '.number_format($netoPagar,2),0,1,'C',0);
		$pdf->ln(3);

		$pdf->SetFont('Arial','',8);
		$pdf->ln(5);
		$pdf->cell(0,5,'Yo, '.trim($row['nombres']).' '.$row['nombres1'].", ".trim($row['apellidos'])." ".$row['apellidos1'].', cédula de identidad No. '.$row['cedula'].', ',0,1,'C',0);
		$pdf->cell(0,5,'declaro haber recibido la cantidad arriba señalada a mi entera satisfacción en moneda efectiva y de curso legal, ',0,1,'C',0);
		$pdf->cell(0,5,'por el concepto de mis vacaciones según se describe y de acuerdo a lo establecido en la Ley Organica del Trabajo,',0,1,'C',0);
		$pdf->cell(0,5,'los Trabajadores y Trabajadoras (LOTTT), en sus articulos 190 , 191 y 192.',0,1,'C',0);
		//$pdf->ln(5);
		$pdf->SetFont('Arial','B',8);
		$pdf->cell(0,5,'En '.$_POST['ciudad'].' en fecha: '.$fechapago,0,1,'C',0);

		$pdf->ln(5);
		$pdf->cell(0,5,'Firma/cédula de Recibido: ',0,1,'R',0);
		$pdf->ln(2);
		$pdf->SetFont('Arial','',8);
		$pdf->cell(10,5,'RRHH/ficha personal',0,1,'',0);
		$pdf->Output();

		mysqli_close($enlace);
?>
